Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 657150 (EAPI0Removal) - [TRACKER] EAPI 0 removal
Summary: [TRACKER] EAPI 0 removal
Status: RESOLVED FIXED
Alias: EAPI0Removal
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Quality Assurance Team
URL:
Whiteboard:
Keywords: Tracker
Depends on: 533122 584858 612384 618464 CVE-2014-16844 647382 648364 652188 654098 657152 657180 657312 663030 663814 667506 669354 681186 688802 688804 688832 689158 696252 696256 696268 696270 696286 696288 696290 696322 696330 696344 696350 696354 697134 697136 697138 697140 697142 697144 697146 697148 697150 697154 697156 697158 697160 697162 697164 697166 697168 697170 697172 697176 697178 697180 697182 697184 697186 697188 697190 697192 697194 697196 697198 697200 697202 697204 697206 697208 697210 697212 697214 697216 697218 697220 697222 697224 697226 697228 697230 697232 697234 697236 697238 697240 697242 697244 697246 697248 697250 697252 697254 697256 697258 697260 697262 697264 697266 697268 697270 697272 697274 697276 697278 697280 697282 697284 697286 697288 697290 697292 697294 697296 697298 697300 697302 697304 697306 697308 697310 697312 697314 697316 697318 697320 697322 697324 697326 697328 697330 697332 697334 697336 697338 697340 697342 697344 697346 697348 697350 697352 697354 697356 697358 697360 697362 697364 697366 697368 697370 697372 697374 697376 697378 697380 697382 697384 697386 697388 697392 697394 697396 697398 697400 697402 697404 697406 697408 697410 697412 697414 697416 697420 697422 697530 697532 697536 697540 697542 698162 699428 699430 699432 699438 699638 699708 699710 699712 699736 699740 699760
Blocks:
  Show dependency tree
 
Reported: 2018-06-02 18:57 UTC by Aaron Bauman
Modified: 2020-09-06 09:58 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
current list of EAPI=0 ebuilds (691) (eapi-0-ebuilds.txt,18.59 KB, text/plain)
2019-06-04 05:09 UTC, Andreas K. Hüttel
Details
current list of EAPI=0 ebuilds (670) (eapi-0-ebuilds.txt,18.08 KB, text/plain)
2019-08-01 17:24 UTC, Andreas K. Hüttel
Details
current list of EAPI=0 ebuilds (633) (eapi-0-ebuilds.txt,17.15 KB, text/plain)
2019-10-02 18:00 UTC, Andreas K. Hüttel
Details
EAPI 0 packages, grouped by maintainer (eapi0-only.txt,9.12 KB, text/plain)
2019-10-16 09:16 UTC, Michał Górny
Details
EAPI 0 pacakges, grouped by maintainer (correct, this time) (eapi0-only.txt,9.03 KB, text/plain)
2019-10-16 09:21 UTC, Michał Górny
Details
packages still needing update (143) (eapi0-only.txt,3.90 KB, text/plain)
2019-11-08 21:42 UTC, Michał Górny
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2018-06-02 18:57:08 UTC
Tracker bug.  No talking please.
Comment 1 Andreas K. Hüttel gentoo-dev 2018-06-02 22:55:02 UTC
Just as a relevant remark, I don't want to *unneccessarily* touch toolchain ebuilds for this.

The old versions with EAPI=0 are phased out, but slowly.
Comment 2 Andreas K. Hüttel gentoo-dev 2019-06-04 05:09:03 UTC
Created attachment 578642 [details]
current list of EAPI=0 ebuilds (691)
Comment 3 Andreas K. Hüttel gentoo-dev 2019-08-01 17:24:58 UTC
Created attachment 585370 [details]
current list of EAPI=0 ebuilds (670)
Comment 4 Andreas K. Hüttel gentoo-dev 2019-10-02 18:00:48 UTC
Created attachment 591618 [details]
current list of EAPI=0 ebuilds (633)
Comment 5 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2019-10-16 09:16:17 UTC
Created attachment 592858 [details]
EAPI 0 packages, grouped by maintainer

Here's the updated list.  I'm sorry for lack of sorting, something doesn't want to work ;-).
Comment 6 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2019-10-16 09:21:40 UTC
Created attachment 592860 [details]
EAPI 0 pacakges, grouped by maintainer (correct, this time)

Ok, I see that grouping was wrong too.  Fixed the bug and now the output is neat.
Comment 7 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2019-11-08 21:42:31 UTC
Created attachment 595510 [details]
packages still needing update (143)
Comment 8 Larry the Git Cow gentoo-dev 2019-12-09 20:29:58 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=71201a5019d4127c5b928ace79c5997006d715e2

commit 71201a5019d4127c5b928ace79c5997006d715e2
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2019-12-09 20:26:43 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2019-12-09 20:29:30 +0000

    metadata/layout.conf: ban EAPI 0
    
    Closes: https://bugs.gentoo.org/657150
    Closes: https://bugs.gentoo.org/696252
    
    Signed-off-by: Aaron Bauman <bman@gentoo.org>

 metadata/layout.conf | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)